<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Family Tree</title>
  <link rel="stylesheet" type="text/css" href="./assets/css/jquery-ui.min.css" />
  <link rel="stylesheet" type="text/css" href="./assets/css/bootstrap.min.css" />
  <link rel="stylesheet" type="text/css" href="./assets/css/fa-all.min.css" />
  <link href="./assets/css/jquery.growl.css" rel="stylesheet" type="text/css" />
  <link href="./assets/css/family-tree.css" rel="stylesheet" type="text/css" />
</head>

<body>
  <div class="ftprevdiv" style="width:100%;height: 2vh;"></div>
  <div id="ftdiv" style="width:100%;height: 96vh;"></div>
  <div class="ftprevdiv" style="width:100%;height: 2vh;"></div>

  <div class="modal fade" id="newmember" tabindex="-1" role="dialog" aria-labelledby="newmemberLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document" style="max-width: 800px;">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="newmemberLabel">Member info</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-4">
              <div id="membercontent"></div>

              <div class="image-editor">
                <button type="button" id="fileupload" onClick="getFile('tufile')" class="btn btn-primary no-border" style="width:100%">Add picture</button>
                <div style='height: 0px;width: 0px; overflow:hidden;'><input type="file" accept="image/*" class="cropit-image-input" name="tufile" id="tufile" onChange="sub(this,'fileupload')" accept=".bmp, .gif, .jpeg, .jpg, .png, .tif, .tiff, image/jpeg" size="1"/></div>
                <div class="cropit-image-preview profileprev" style="margin: 10px auto;"></div>
                <div class="image-size-label">Resize image</div>
                <input type="range" class="cropit-image-zoom-input" id="input-slider">
                <input type="hidden" id="ft-picture" class="ufile" />
                <div class="row"><div class="col-md-3"></div>
                <div class="col-md-6">
                <button type="button" class="btn btn-light btn-sm prevbutton">View</button></div><div class="col-md-3"></div></div>
                </div>

              </div>
              <div class="col-md-8">
          <div class="form-group row">
            <label for="ft-name" class="col-sm-2 col-form-label">Name</label>
            <div class="col-sm-10">
              <input type="text" class="form-control" id="ft-name" placeholder="Name">
            </div>
          </div>
          <div class="form-group row">
            <label for="ft-born" class="col-sm-2 col-form-label">Born</label>
            <div class="col-sm-10">
              <input type="text" class="form-control datepicker" id="ft-born" placeholder="Born">
            </div>
          </div>
          <div class="form-group row">
            <label for="ft-died" class="col-sm-2 col-form-label">Died</label>
            <div class="col-sm-10">
              <input type="text" class="form-control datepicker" id="ft-died" placeholder="Died">
            </div>
          </div>
          <div class="form-group row">
            <label for="ft-gender" class="col-sm-2 col-form-label">Gender</label>
            <div class="col-sm-10">
              <select id="ft-gender" class="form-control">
                <option value="m">Male</option>
                <option value="f">Female</option>
              </select>
            </div>
          </div>
          <div class="form-group row relations">
            <label for="ft-relation" class="col-sm-2 col-form-label">Relation</label>
            <div class="col-sm-10">
              <select id="ft-relation" class="form-control">
                <option value="parent">Parent</option>
                <option value="child">Child</option>
                <option value="spouse">Spouse</option>
              </select>
            </div>
          </div>
          <input type="text" id="ft-thisid" value="" style="display:none;">
          <div class="form-group row">
            <label for="ft-location" class="col-sm-2 col-form-label">Location</label>
            <div class="col-sm-10">
              <select id="ft-location" class="form-control">
                <option value="af">Afghanistan</option>
                <option value="ax">Åland Islands</option>
                <option value="al">Albania</option>
                <option value="dz">Algeria</option>
                <option value="as">American Samoa</option>
                <option value="ad">Andorra</option>
                <option value="ao">Angola</option>
                <option value="ai">Anguilla</option>
                <option value="aq">Antarctica</option>
                <option value="ag">Antigua and Barbuda</option>
                <option value="ar">Argentina</option>
                <option value="am">Armenia</option>
                <option value="aw">Aruba</option>
                <option value="au">Australia</option>
                <option value="at">Austria</option>
                <option value="az">Azerbaijan</option>
                <option value="bs">Bahamas</option>
                <option value="bh">Bahrain</option>
                <option value="bd">Bangladesh</option>
                <option value="bb">Barbados</option>
                <option value="by">Belarus</option>
                <option value="be">Belgium</option>
                <option value="bz">Belize</option>
                <option value="bj">Benin</option>
                <option value="bm">Bermuda</option>
                <option value="bt">Bhutan</option>
                <option value="bo">Bolivia</option>
                <option value="ba">Bosnia and Herzegovina</option>
                <option value="bw">Botswana</option>
                <option value="bv">Bouvet Island</option>
                <option value="br">Brazil</option>
                <option value="io">British Indian Ocean Territory</option>
                <option value="bn">Brunei Darussalam</option>
                <option value="bg">Bulgaria</option>
                <option value="bf">Burkina Faso</option>
                <option value="bi">Burundi</option>
                <option value="kh">Cambodia</option>
                <option value="cm">Cameroon</option>
                <option value="ca">Canada</option>
                <option value="cv">Cape Verde</option>
                <option value="ky">Cayman Islands</option>
                <option value="cf">Central African Republic</option>
                <option value="td">Chad</option>
                <option value="cl">Chile</option>
                <option value="cn">China</option>
                <option value="cx">Christmas Island</option>
                <option value="cc">Cocos (Keeling) Islands</option>
                <option value="co">Colombia</option>
                <option value="km">Comoros</option>
                <option value="cg">Congo</option>
                <option value="cd">Congo, The Democratic Republic of The</option>
                <option value="ck">Cook Islands</option>
                <option value="cr">Costa Rica</option>
                <option value="ci">Cote D'ivoire</option>
                <option value="hr">Croatia</option>
                <option value="cu">Cuba</option>
                <option value="cy">Cyprus</option>
                <option value="cz">Czechia</option>
                <option value="dk">Denmark</option>
                <option value="dj">Djibouti</option>
                <option value="dm">Dominica</option>
                <option value="do">Dominican Republic</option>
                <option value="ec">Ecuador</option>
                <option value="eg">Egypt</option>
                <option value="sv">El Salvador</option>
                <option value="gq">Equatorial Guinea</option>
                <option value="er">Eritrea</option>
                <option value="ee">Estonia</option>
                <option value="et">Ethiopia</option>
                <option value="fk">Falkland Islands (Malvinas)</option>
                <option value="fo">Faroe Islands</option>
                <option value="fj">Fiji</option>
                <option value="fi">Finland</option>
                <option value="fr">France</option>
                <option value="gf">French Guiana</option>
                <option value="pf">French Polynesia</option>
                <option value="tf">French Southern Territories</option>
                <option value="ga">Gabon</option>
                <option value="gm">Gambia</option>
                <option value="ge">Georgia</option>
                <option value="de">Germany</option>
                <option value="gh">Ghana</option>
                <option value="gi">Gibraltar</option>
                <option value="gr">Greece</option>
                <option value="gl">Greenland</option>
                <option value="gd">Grenada</option>
                <option value="gp">Guadeloupe</option>
                <option value="gu">Guam</option>
                <option value="gt">Guatemala</option>
                <option value="gg">Guernsey</option>
                <option value="gn">Guinea</option>
                <option value="gw">Guinea-bissau</option>
                <option value="gy">Guyana</option>
                <option value="ht">Haiti</option>
                <option value="hm">Heard Island and Mcdonald Islands</option>
                <option value="va">Holy See (Vatican City State)</option>
                <option value="hn">Honduras</option>
                <option value="hk">Hong Kong</option>
                <option value="hu">Hungary</option>
                <option value="is">Iceland</option>
                <option value="in">India</option>
                <option value="id">Indonesia</option>
                <option value="ir">Iran, Islamic Republic of</option>
                <option value="iq">Iraq</option>
                <option value="ie">Ireland</option>
                <option value="im">Isle of Man</option>
                <option value="il">Israel</option>
                <option value="it">Italy</option>
                <option value="jm">Jamaica</option>
                <option value="jp">Japan</option>
                <option value="je">Jersey</option>
                <option value="jo">Jordan</option>
                <option value="kz">Kazakhstan</option>
                <option value="ke">Kenya</option>
                <option value="ki">Kiribati</option>
                <option value="kp">Korea, Democratic People's Republic of</option>
                <option value="kr">Korea, Republic of</option>
                <option value="kw">Kuwait</option>
                <option value="kg">Kyrgyzstan</option>
                <option value="la">Lao People's Democratic Republic</option>
                <option value="lv">Latvia</option>
                <option value="lb">Lebanon</option>
                <option value="ls">Lesotho</option>
                <option value="lr">Liberia</option>
                <option value="ly">Libyan Arab Jamahiriya</option>
                <option value="li">Liechtenstein</option>
                <option value="lt">Lithuania</option>
                <option value="lu">Luxembourg</option>
                <option value="mo">Macao</option>
                <option value="mk">Macedonia, The Former Yugoslav Republic of</option>
                <option value="mg">Madagascar</option>
                <option value="mw">Malawi</option>
                <option value="my">Malaysia</option>
                <option value="mv">Maldives</option>
                <option value="ml">Mali</option>
                <option value="mt">Malta</option>
                <option value="mh">Marshall Islands</option>
                <option value="mq">Martinique</option>
                <option value="mr">Mauritania</option>
                <option value="mu">Mauritius</option>
                <option value="yt">Mayotte</option>
                <option value="mx">Mexico</option>
                <option value="fm">Micronesia, Federated States of</option>
                <option value="md">Moldova, Republic of</option>
                <option value="mc">Monaco</option>
                <option value="mn">Mongolia</option>
                <option value="me">Montenegro</option>
                <option value="ms">Montserrat</option>
                <option value="ma">Morocco</option>
                <option value="mz">Mozambique</option>
                <option value="mm">Myanmar</option>
                <option value="na">Namibia</option>
                <option value="nr">Nauru</option>
                <option value="np">Nepal</option>
                <option value="nl">Netherlands</option>
                <option value="an">Netherlands Antilles</option>
                <option value="nc">New Caledonia</option>
                <option value="nz">New Zealand</option>
                <option value="ni">Nicaragua</option>
                <option value="ne">Niger</option>
                <option value="ng">Nigeria</option>
                <option value="nu">Niue</option>
                <option value="nf">Norfolk Island</option>
                <option value="mp">Northern Mariana Islands</option>
                <option value="no">Norway</option>
                <option value="om">Oman</option>
                <option value="pk">Pakistan</option>
                <option value="pw">Palau</option>
                <option value="ps">Palestinian Territory, Occupied</option>
                <option value="pa">Panama</option>
                <option value="pg">Papua New Guinea</option>
                <option value="py">Paraguay</option>
                <option value="pe">Peru</option>
                <option value="ph">Philippines</option>
                <option value="pn">Pitcairn</option>
                <option value="pl">Poland</option>
                <option value="pt">Portugal</option>
                <option value="pr">Puerto Rico</option>
                <option value="qa">Qatar</option>
                <option value="re">Reunion</option>
                <option value="ro">Romania</option>
                <option value="ru">Russian Federation</option>
                <option value="rw">Rwanda</option>
                <option value="sh">Saint Helena</option>
                <option value="kn">Saint Kitts and Nevis</option>
                <option value="lc">Saint Lucia</option>
                <option value="pm">Saint Pierre and Miquelon</option>
                <option value="vc">Saint Vincent and The Grenadines</option>
                <option value="ws">Samoa</option>
                <option value="sm">San Marino</option>
                <option value="st">Sao Tome and Principe</option>
                <option value="sa">Saudi Arabia</option>
                <option value="sn">Senegal</option>
                <option value="rs">Serbia</option>
                <option value="sc">Seychelles</option>
                <option value="sl">Sierra Leone</option>
                <option value="sg">Singapore</option>
                <option value="sk">Slovakia</option>
                <option value="si">Slovenia</option>
                <option value="sb">Solomon Islands</option>
                <option value="so">Somalia</option>
                <option value="za">South Africa</option>
                <option value="gs">South Georgia and The South Sandwich Islands</option>
                <option value="es">Spain</option>
                <option value="lk">Sri Lanka</option>
                <option value="sd">Sudan</option>
                <option value="sr">Suriname</option>
                <option value="sj">Svalbard and Jan Mayen</option>
                <option value="sz">Swaziland</option>
                <option value="se">Sweden</option>
                <option value="ch">Switzerland</option>
                <option value="sy">Syrian Arab Republic</option>
                <option value="tw">Taiwan, Province of China</option>
                <option value="tj">Tajikistan</option>
                <option value="tz">Tanzania, United Republic of</option>
                <option value="th">Thailand</option>
                <option value="tl">Timor-leste</option>
                <option value="tg">Togo</option>
                <option value="tk">Tokelau</option>
                <option value="to">Tonga</option>
                <option value="tt">Trinidad and Tobago</option>
                <option value="tn">Tunisia</option>
                <option value="tr">Turkey</option>
                <option value="tm">Turkmenistan</option>
                <option value="tc">Turks and Caicos Islands</option>
                <option value="tv">Tuvalu</option>
                <option value="ug">Uganda</option>
                <option value="ua">Ukraine</option>
                <option value="ae">United Arab Emirates</option>
                <option value="gb">United Kingdom</option>
                <option value="us">United States</option>
                <option value="um">United States Minor Outlying Islands</option>
                <option value="uy">Uruguay</option>
                <option value="uz">Uzbekistan</option>
                <option value="vu">Vanuatu</option>
                <option value="ve">Venezuela</option>
                <option value="vn">Viet Nam</option>
                <option value="vg">Virgin Islands, British</option>
                <option value="vi">Virgin Islands, U.S.</option>
                <option value="wf">Wallis and Futuna</option>
                <option value="eh">Western Sahara</option>
                <option value="ye">Yemen</option>
                <option value="zm">Zambia</option>
                <option value="zw">Zimbabwe</option>
              </select>
            </div>
          </div>
          
          <input type="text" id="ft-previd" style="display:none;">
        </div>
      </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-light btn-sm" data-dismiss="modal">Close</button>
          <button type="button" class="btn btn-success btn-sm" id="saveft">Add member</button>
          <button type="button" class="btn btn-success btn-sm" id="savefm" style="display:none;">Save member</button>
        </div>
      </div>
    </div>
  </div>

  <script src="./assets/js/jquery-3.4.1.min.js" type="text/javascript"></script>
  <script src="./assets/js/bootstrap.min.js" type="text/javascript"></script>
  <script src="./assets/js/jquery-ui.min.js" type="text/javascript"></script>
  <script src="./assets/js/jquery.growl.js" type="text/javascript"></script>
  <script src="./assets/js/lodash.min.js" type="text/javascript"></script>
  <script src="./assets/js/jquery.cropit.js" type="text/javascript"></script>
  <script src="./assets/js/ft-script.js" type="text/javascript"></script>
  <script type="module" src="./assets/js/tree.js"></script>
  <script type="text/javascript">
  let r = Math.random().toString(36).substring(7);
console.log(r);
</script>
</body>

</html>